# $Revision: 1.31 $, $Date: 2008-02-09 16:46:36 $
Summary:	Floppy utilities
Summary(pl.UTF-8):	Narzędzia do dyskietek
Summary(zh_CN.UTF-8):	软盘驱动调试和配置工具
Name:		fdutils
Version:	5.5
Release:	1
License:	GPL v2+
Group:		Applications/System
#Source0Download: http://fdutils.linux.lu/download.html
Source0:	http://fdutils.linux.lu/%{name}-%{version}.tar.gz
# Source0-md5:	2b8b65f52378158a4a21e455566b456d
Patch0:		%{name}-info.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-diskd-conflict.patch
Patch3:		%{name}-nodvi.patch
Patch4:		http://fdutils.linux.lu/fdutils-5.5-20060227.diff.gz
URL:		http://fdutils.linux.lu/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	texinfo
# setfdprm used to be in util-linux before
Conflicts:	util-linux < 2.13-0.pre7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for formatting floppies and configuring floppy drive.
Floppies can be formatted up to 1992KB.

Note: the fdutils are meant to control a legacy (FDC-based) floppy
drive. They won't work with other types of floppy drives (such as
LS-120, USB floppy drives). For USB floppy drives use ufiformat
package to format a floppy.

%description -l pl.UTF-8
Narzędzia do formatowania dyskietek oraz do konfiguracji stacji
dysków. Dyskietki mogą być formatowane do 1992KB.

Uwaga: fdutils są przeznaczone do sterowania tradycyjnymi stacjami
dyskietek (opartymi na FDC). Nie będą działać z innymi rodzajami
stacji, takimi jak LS-120 czy podłączane przez USB. Do formatowania
dyskietek w stacjach podłączanych przez USB służy pakiet ufiformat.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# in man-pages
rm $RPM_BUILD_ROOT%{_mandir}/man4/fd.4

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc doc/README doc/floppy_formats Changelog CREDITS doc/FAQ.html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mediaprm
%attr(755,root,root) %{_bindir}/MAKEFLOPPIES
%attr(755,root,root) %{_bindir}/diskseekd
%attr(755,root,root) %{_bindir}/fddiskd
%attr(755,root,root) %{_bindir}/fdlist
%attr(755,root,root) %{_bindir}/fdmount
%attr(755,root,root) %{_bindir}/fdmountd
%attr(755,root,root) %{_bindir}/fdrawcmd
%attr(755,root,root) %{_bindir}/fdumount
%attr(755,root,root) %{_bindir}/floppycontrol
%attr(755,root,root) %{_bindir}/floppymeter
%attr(755,root,root) %{_bindir}/getfdprm
%attr(755,root,root) %{_bindir}/setfdprm
%attr(755,root,root) %{_bindir}/superformat
%attr(755,root,root) %{_bindir}/xdfcopy
%attr(755,root,root) %{_bindir}/xdfformat
%{_mandir}/man1/makefloppies.1*
%{_mandir}/man1/diskseekd.1*
%{_mandir}/man1/fddiskd.1*
%{_mandir}/man1/fdlist.1*
%{_mandir}/man1/fdmount.1*
%{_mandir}/man1/fdmountd.1*
%{_mandir}/man1/fdrawcmd.1*
%{_mandir}/man1/fdumount.1*
%{_mandir}/man1/floppycontrol.1*
%{_mandir}/man1/floppymeter.1*
%{_mandir}/man1/getfdprm.1*
%{_mandir}/man1/setfdprm.1*
%{_mandir}/man1/superformat.1*
%{_mandir}/man1/xdfcopy.1*
%{_mandir}/man1/xdfformat.1*
%{_infodir}/fdutils.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fdutils.spec,v $
Revision 1.31  2008-02-09 16:46:36  qboosh
- GPL v2+

Revision 1.30  2008-02-09 16:45:55  qboosh
- updated to 5.5 with 20060227 patch
- updated diskd-conflict patch, removed outdated manpages,ac25x patches
- added DESTDIR patch, use make install
- setfdprm is back here (removed from util-linux since 0.13-pre7)

Revision 1.29  2008-02-09 14:01:39  qboosh
- FDC vs USB note

Revision 1.28  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.27  2007-02-12 21:23:55  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.25  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.24  2004/08/18 19:56:17  undefine
- release 10

Revision 1.23  2003/12/29 14:27:42  undefine
- release 9 to rebuild with ac

Revision 1.22  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.21  2003/05/25 05:47:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/08/26 11:14:13  kloczek
- bump relase to 8,
- added nodvi patch (so now tetex can be removed from BuildRequires),
- merge translations from TyurboLinux.

Revision 1.18  2002/08/22 20:55:55  qboosh
- diskd renamed to fddiskd (conflict with squid)
- release 4

Revision 1.17  2002/06/12 22:02:23  filon
- update config.* files (needed for athlon)

Revision 1.16  2002/06/12 19:35:49  kloczek
- use new %doc and merge translations from TurboLinux.

Revision 1.15  2002/06/11 08:00:23  marcus
- removed ExclusiveArch ix86, package builds on ppc too
- rel. 3.

Revision 1.14  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/25 16:17:32  arturs
fixed a small typo

Revision 1.12  2002/02/23 01:58:11  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/08/15 19:10:53  kloczek
- added ac25x patch and added regenerate ac files.

Revision 1.8  2001/08/14 14:49:34  blues
- release 2
- configure2_13

Revision 1.7  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.5  2001/02/10 07:41:54  kloczek
- updated to 5.4,
- added %%{_sysconfdir}/mediaprm ad %config,
- added info patch with info index entry fix for fdutils (added texinfo to
  BuildRequires,
- merged MDK manpages patch.

Revision 1.4  2001/02/08 17:38:43  qboosh
- use rpm automation (configure, gzipping, stripping)
- fixed spec (builds now), added info pages
- removed fd.4 (it's in man-pages), setfdprm (it's in util-linux)
- release 2

Revision 1.3  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.2  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.1  2000/04/29 07:23:01  wiejak
-first release: added fdutils.spec
